Mozilla Browser Large HTTP Header Handling Overflow (deprecated)

High Nessus Network Monitor Plugin ID 1321

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote host is running a version of the Mozilla browser that may contain a buffer overflow vulnerability. The condition occurs when HTTP responses of excessive length are received from remote servers.

Solution

Upgrade to Mozilla 1.0.1, 1.1 or higher.

Plugin Details

Severity: High

ID: 1321

File Name: 1321.prm

Family: SMTP Clients

Published: 2004/08/20

Modified: 2016/01/19

Dependencies: 1330

Risk Information

Risk Factor: High

CVSSv2

Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 8.1

Temporal Score: 7.1

Vector: CVSS3#AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS3#E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:mozilla:mozilla

Reference Information

BID: 5753